[CentOS] update yum

Christoph Neuhaus nihil14 at gmail.com
Tue Mar 24 09:29:46 UTC 2009


> [] download]# yum update wine*
> Loading "priorities" plugin

Good.


>  * epel: ftp.nluug.nl
>  * rpmforge: fr2.rpmfind.net

Trouble's ahead...


> 0 packages excluded due to repository priority protections

Uhoh! Looks like you did not configure the priorities.


> ---> Package wine-cms.i386 0:1.0.1-1.el5.rf set to be updated
> ---> Package wine-jack.i386 0:1.0.1-1.el5.rf set to be updated
> --> Processing Dependency: wine-core = 1.0.1-1.el5 for package:  
> wine-tools
> --> Processing Dependency: wine-core = 1.0.1-1.el5 for package:  
> wine-desktop

Do you see the little difference: 1.0.1-1.el5.rf vs. 1.0.1-1.el5? Your 3rd  
party repos are clashing.

Read:
  - man yum (e.g. --disablerepo)
  - http://wiki.centos.org/PackageManagement/Yum/Priorities (setting up the  
priorities)
  - http://wiki.centos.org/AdditionalResources/Repositories (available  
repositories)


Chris


More information about the CentOS mailing list